# ========================================================================================
# === Python Code for the gladeVCP panel === Special instructions and code added here. ===
# ========================================================================================
import gtk			# Gets colors and access to widgets.
import os			# Needed to get access to paths.
import hal			# Needed to react to hal signals.
import hal_glib		# Needed to create our own hal pins
# ----------------------------------------------------------------------------------------
CONFIGPATH = os.environ['CONFIG_DIR']			# Get the path where the CONFIG lives.
IMAGEDIR = os.path.join(CONFIGPATH, "IMAGES")	# Add in the IMAGES subfolder path.
# ----------------------------------------------------------------------------------------
class HandlerClass:
    def __init__(self, halcomp,builder,useropts):

        self.halcomp = halcomp 			# Setup halcomp
        self.builder = builder			# Setup builder
        # self._make_hal_pin()			# Create a hal pin

# ----------------------------------------------------------------------------------------
# Set Button Colors

	TAB = self.builder.get_object('notebook1')
	TAB.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#5599FF"))

	btn = self.builder.get_object('probe-01')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-02')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-03')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-04')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-05')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-06')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-07')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-08')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-09')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-10')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-11')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-12')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-13')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-14')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-15')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('probe-16')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ffff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-peck-drill')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ff9999"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-bolt-hole')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#ff9999"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-go-home')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#66cc66"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-set-home')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#99ff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-go-preset')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#66cc66"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-set-preset')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#99ff99"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc99"))

	btn = self.builder.get_object('btn-go-origin')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#66cc66"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#cccc66"))

	led = self.builder.get_object('led-pgm-run')
	led.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#5599FF"))

	led = self.builder.get_object('led-active')
	led.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#5599FF"))

# ----------------------------------------------------------------------------------------
# boiler code
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]
# ========================================================================================
